//------------------------------------------------------------------------------
function mostrar(id1,id2,tabla,ancho, alto){

  $( "#dialog" ).dialog({
          width: ancho,
          height: alto

  });

var parametros = {"accion":'listado',"tabla":tabla,"id1":id1,"id2":id2};

                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);}})
}


//------------------------------------------------------------------------------
function mostrar_grado(id1,id2,tabla,ancho, alto){

  $( "#dialog" ).dialog({
          width: ancho,
          height: alto

  });

  var sede=get('s1_id1');

var parametros = {"accion":'listado_grado',"tabla":tabla,"id1":id1,"id2":id2,"sede":sede};

                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
               
            }})
}


//------------------------------------------------------------------------------
function mostrar_curso(id1,id2,tabla,ancho, alto){

  $( "#dialog" ).dialog({
          width: ancho,
          height: alto

  });

    var grado=document.getElementById('g1_id1').value;
    var sede=document.getElementById('s1_id1').value;



     if (grado==""){
          alert("Seleccione Grado");
          return 0;
      }

      if (sede==""){
          alert("Seleccione Sede");
          return 0;
      }


  parametros = {"accion":'listado_curso',"grado":grado,"sede":sede,"tabla":tabla,"id1":id1,"id2":id2};

     $.ajax({
       data:  parametros,
       url:"app/model/catalogos.php",
       type: "POST",
       success: function(opciones){$("#dialog").html(opciones);}})

}
//-------------------------------------------------------
function mostrar_lista(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');

    });

    document.getElementById(id2).style.color = '#B40404';
    document.getElementById(id1).focus();


}

function mostrar_lista_grado(id1,id2,codigo,nombre){

    limpiar_click_grado();

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');

    });

    document.getElementById(id2).style.color = '#B40404';
    document.getElementById(id1).focus();


}

function limpiar_click_grado(){

document.getElementById('g1_id2').value='';

document.getElementById('c1_id1').value='';
document.getElementById('c1_id2').value='';

document.getElementById('j1_id1').value='';
document.getElementById('j1_id2').value='';

document.getElementById('g1_id1').focus();

}


//-------------------------------------------------------
function mostrar_lista_curso(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');

    });

    document.getElementById(id2).style.color = '#B40404';
    document.getElementById(id1).focus();

    mostrar_jornada();
}

function mostrar_jornada(){

       var grado=document.getElementById('g1_id1').value;
       var sede=document.getElementById('s1_id1').value;
       var curso=document.getElementById('c1_id1').value;


       if (sede!="" && grado!="" && curso!=""){

          parametros1 = {"accion":'listado_jornada',"sede":sede,"grado":grado,"curso":curso};

          $.ajax({
             data:  parametros1,
             url:"app/model/catalogos.php",
             type: "POST",
             success: function(response){;

                   if (response!="NO EXISTE"){

                      var elem = response.split('_');

                      document.getElementById('j1_id2').style.color = '#B40404';
                      document.getElementById('j1_id1').value=elem[0];
                      document.getElementById('j1_id2').value=elem[1];

                   }

             }})
       }

}

